0

I haven't had ClamTk installed for a while now as I did a fresh install, but never got round to putting it back on, now I would like to, but am faced with a problem, I don't know how to get the latest version, the GitHub page says:

4. Availability

I always recommend you install ClamTk from official repositories. Check your distribution first, and always install from trusted sources.

5. Installation

RPMs: The easiest way to install ClamTk is to use the rpms.

First, try "yum install clamtk". If this does not work, download it and try:

# yum install clamtk*.rpm

To remove clamtk:
# yum erase clamtk

SOURCE: Warning: Don't do this.  It's much easier to just double-click a .deb or .rpm.  Really, put down the source. The tarball contains all the sources. One way to do this on Fedora:
# mkdir -p /usr/share/perl5/vendor_perl/ClamTk
# cp lib/*.pm /usr/share/perl5/vendor_perl/ClamTk
# chmod +x clamtk
# cp clamtk /usr/local/bin (or /usr/bin)

    EXAMPLES:   a. $ perl clamtk    or  b. $ chmod +x /path/to/clamtk
       $ /path/to/clamtk

* Note: If you have installed this program as an rpm or .deb, you do not need to take these steps.

* Note: Did you get errors with this? Check the TROUBLESHOOTING section at the end.

DEBs:

You should be able to just double-click the .deb file to install it. This assumes you have permissions to install programs, of course. Your package manager should grab any necessary dependencies.

By the commandline, you can do this:

# dpkg -i clamtk-*.deb

To remove clamtk:
# dpkg --purge clamtk

Note that the Debian/Ubuntu builds are gpg-signed.

However it does not say where you get these .deb files from in the Installation section, and in the Availability section it suggests that I should be getting ClamTk from the normal repositories, but I have checked there, and it has notg been updated in the repositories for a few months now, and has up to version 5.15 it seems for Vivid, and 5.19 for Wily, although the latest version is 5.20. So how do I get the latest version? Or do I just have to live with the latest version in the repository (or build from source that is)? I am running Ubuntu GNOME 15.04 and already have the latest version of ClamAV installed.

  • 1
    You either have to accept the version in the repositories or install from source. Note from what your posted "I always recommend you install ClamTk from official repositories." and in the install section "SOURCE: Warning: Don't do this. It's much easier to just double-click a .deb or .rpm." See also askubuntu.com/questions/20830/… and askubuntu.com/questions/151283/… – Panther Oct 8 '15 at 17:17
  • @bodhi.zazen: Ok, well could you just post that as an answer then. :) – user364819 Oct 8 '15 at 17:25
1

You are able to download the latest ClamTk .deb files from here.

  • I found more information so I updated your question with it, and made it a rather short, so please do add to it if you want. – user364819 Oct 8 '15 at 18:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy